[lfs-support] [lfs-dev] glibc-2.15 config error

Bruce Dubbs bruce.dubbs at gmail.com
Wed Mar 28 12:27:42 PDT 2012


Cyril LEVIS wrote:
> Hi,
> 
> I build on an debian wheezy host.
> 
> I get the following error when running 
> (http://www.linuxfromscratch.org/lfs/view/stable/chapter05/glibc.html)
> 
> lfs at debian:/mnt/lfs/sources/glibc-build$ ../glibc-2.15/configure 
> --prefix=/tools --host=$LFS_TGT 
> --build=$(../glibc-2.15/scripts/config.guess) --disable-profile 
> --enable-add-ons --enable-kernel=2.6.25 --with-headers=/tools/include  
> libc_cv_forced_unwind=yes libc_cv_ctors_header=yes libc_cv_c_cleanup=yes

> checking for -z relro option... no
> configure: error: linker with -z relro support required

This should be on lfs-support not -dev.

What are the results of the script in section vii, Host System Requirements?

Also, this is evidently your first time through LFS.  Use 7.1, not the 
development version.

   -- Bruce



More information about the lfs-support mailing list